Skip to content

List job configurations

GET
/job/job-configuration/configurations
Required scope: viskan:jobconfig:read

Lists job configurations for the current tenant with optional keyword filter and pagination.

Parameters

Query parameters

page  integer
The page number to retrieve. The first page is 1. Cannot be less than 1.
Default value: 1
pageSize  integer
The size of the pages to retrieve. The default is 10. Cannot be less than 1 and larger than 100.
Default value: 10
keywords  string
Optional keywords (whitespace separated) to search for in the configuration name.
active  enum
Filter by active status.
Enum: ALLACTIVEINACTIVE
Default value: ACTIVE
userAllowedToExecute  enum
Filter by execute permission.
Enum: ALLALLOWEDNOT_ALLOWED
Default value: ALL
userAllowedToActivate  enum
Filter by activate permission.
Enum: ALLALLOWEDNOT_ALLOWED
Default value: ALL
onlyUserManageable  boolean
Only include configurations where the user has at least one permission (activate or execute).
Default value: false

Response

The response contains the found job configurations.